Subject: bug#67567: closed (Re: bug#67567: 30.0.50; mode-line-inactive face no longer light gray)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 02 Dec 2023 00:26:03 +0000

Your bug report

#67567: 30.0.50; mode-line-inactive face no longer light gray

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
67567: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=67567
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#67567: 30.0.50; mode-line-inactive face no longer light gray
From: Po Lu <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Sat, 02 Dec 2023 08:24:46 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> Date: Fri, 01 Dec 2023 19:44:43 +0800
>> From:  Po Lu via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> Somewhere within the past several commits the inactive mode line face
>> ceased being assigned a background color distinct from the that of
>> mode-line.  This problem manifests itself in emacs -Q as well, and
>> should be a recent phenomenon, but I am presently short on time to
>> further investigate or correct it.
>
> Thanks, should be fixed now.
>
> This was caused by the fix for bug#67404, which revealed a separate
> bug in how :style attribute of the :box face attribute was validated.

The fix works, so I'm closing this bug.  Thanks.

Subject: 30.0.50; mode-line-inactive face no longer light gray
From: Po Lu <[email-masked]>
To: [email-masked]
Date: Fri, 01 Dec 2023 19:44:43 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Somewhere within the past several commits the inactive mode line face
ceased being assigned a background color distinct from the that of
mode-line.  This problem manifests itself in emacs -Q as well, and
should be a recent phenomenon, but I am presently short on time to
further investigate or correct it.

TIA.

In GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu) of 2023-12-01 built
 on trinity
Repository revision: 90450a387422f025b7060a3a7977f30ae395bb1d
Repository branch: HEAD
Windowing system distributor 'The X.Org Foundation', version 11.0.12014000
System Description: Fedora Linux 39 (Workstation Edition)

Configured using:
 'configure --with-x-toolkit=no --without-cairo
 --with-native-compilation=aot --cache-file=/tmp/ccache'

Configured features:
ACL DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG JSON LCMS2
LIBSELINUX LIBSYSTEMD LIBXML2 MODULES NATIVE_COMP NOTIFY INOTIFY
OLDXMENU PDUMPER PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF TREE_SITTER
WEBP X11 XDBE XFT XIM XINPUT2 XPM ZLIB

Important settings:
  value of $LC_MONETARY: en_US.UTF-8
  value of $LC_NUMERIC: en_US.UTF-8
  value of $LC_TIME: en_US.UTF-8
  value of $LANG: en_US.utf8
  value of $XMODIFIERS: @im=none
  locale-coding-system: utf-8-unix

Major mode: Article